## org.biojava.bio.seq.io.agave
Class AGAVEXref

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEXref

    public class AGAVEXref

extends Object

xref

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEXref()`

Method Summary
`void` `addProp(AGAVEProperty prop)`
`AGAVEDbId` `getDbId()`
`String` `getRel()`
`Iterator` `getXrefProps()`
`void` `setDbId(AGAVEDbId id)`
`void` `setRel(String rel)`
`String` `toString()` return the agave xml representation of this instance
`String` `toString(String indent, String indent_unit)` return the agave xml representation of this instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEXref

    public AGAVEXref()

Method Detail

### setDbId

    public void setDbId(AGAVEDbId id)

### addProp

    public void addProp(AGAVEProperty prop)

### setRel

    public void setRel(String rel)

### getRel

    public String getRel()

### getDbId

    public AGAVEDbId getDbId()

### getXrefProps

    public Iterator getXrefProps()

### toString

    public String toString(String indent,
                           String indent_unit)

  return the agave xml representation of this instance

### toString

    public String toString()

  return the agave xml representation of this instance

  Overrides:
    `toString` in class `Object`